<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FlightTicketing StructType
 * @subpackage Structs
 */
class FlightTicketing extends AbstractStructBase
{
    /**
     * The FlightTicketingRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightTicketingRQ
     */
    public $FlightTicketingRQ;
    /**
     * Constructor method for FlightTicketing
     * @uses FlightTicketing::setFlightTicketingRQ()
     * @param \StructType\JP_FlightTicketingRQ $flightTicketingRQ
     */
    public function __construct(\StructType\JP_FlightTicketingRQ $flightTicketingRQ = null)
    {
        $this
            ->setFlightTicketingRQ($flightTicketingRQ);
    }
    /**
     * Get FlightTicketingRQ value
     * @return \StructType\JP_FlightTicketingRQ|null
     */
    public function getFlightTicketingRQ()
    {
        return $this->FlightTicketingRQ;
    }
    /**
     * Set FlightTicketingRQ value
     * @param \StructType\JP_FlightTicketingRQ $flightTicketingRQ
     * @return \StructType\FlightTicketing
     */
    public function setFlightTicketingRQ(\StructType\JP_FlightTicketingRQ $flightTicketingRQ = null)
    {
        $this->FlightTicketingRQ = $flightTicketingRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\FlightTicketing
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
